Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class IntStack

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.IntVector
            |
            +--weblogic.apache.xalan.xpath.xml.IntStack

public class IntStack
extends IntVector

Implement an array of simple integers.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.apache.xalan.xpath.xml.IntVector
`m_firstFree, m_map`

Constructor Summary
`IntStack()` Default constructor.
`IntStack(int blocksize)` Construct a IntVector, using the given block size.

Method Summary
`boolean` | `empty()` Tests if this stack is empty.
`int` | `peek()` Looks at the object at the top of this stack without removing it from the stack.
`int` | `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`int` | `push(int i)` Pushes an item onto the top of this stack.
`void` | `quickPop(int n)` Quickly pops a number of items from the stack.
`int` | `search(int o)` Returns where an object is on this stack.
`void` | `setTop(int val)` Sets an object at a the top of the statck

Methods inherited from class weblogic.apache.xalan.xpath.xml.IntVector
`addElement, contains, elementAt, indexOf, indexOf, insertElementAt, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntStack

    public IntStack()

  Default constructor. Note that the default block size is very small, for small lists.

### IntStack

    public IntStack(int blocksize)

  Construct a IntVector, using the given block size.

Method Detail

### push

    public int push(int i)

  Pushes an item onto the top of this stack.

  Parameters:
    `i` - the int to be pushed onto this stack.
  Returns:
    the `item` argument.
  Since:
    JDK1.0

### pop

    public int pop()

  Removes the object at the top of this stack and returns that object as the value of this function.

  Returns:
    The object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.
  Since:
    JDK1.0

### quickPop

    public void quickPop(int n)

  Quickly pops a number of items from the stack.

  Throws:
    java.util.EmptyStackException - if this stack is empty.

### peek

    public int peek()

  Looks at the object at the top of this stack without removing it from the stack.

  Returns:
    the object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.
  Since:
    JDK1.0

### setTop

    public void setTop(int val)

  Sets an object at a the top of the statck

  Throws:
    java.util.EmptyStackException - if this stack is empty.
  Since:
    JDK1.0

### empty

    public boolean empty()

  Tests if this stack is empty.

  Returns:
    `true` if this stack is empty; `false` otherwise.
  Since:
    JDK1.0

### search

    public int search(int o)

  Returns where an object is on this stack.

  Parameters:
    `o` - the desired object.
  Returns:
    the distance from the top of the stack where the object is] located; the return value `-1` indicates that the object is not on the stack.
  Since:
    JDK1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD